# Module os::task

source · [−]

## Re-exports

`pub use context::TaskContext;`
`pub use manager::add_task;`
`pub use pid::pid_alloc;`
`pub use pid::KernelStack;`
`pub use pid::PidHandle;`
`pub use processor::current_task;`
`pub use processor::current_trap_cx;`
`pub use processor::current_user_token;`
`pub use processor::run_tasks;`
`pub use processor::schedule;`
`pub use processor::take_current_task;`

## Modules

context 🔒
manager 🔒
pid 🔒
processor 🔒
switch 🔒
task 🔒

## Structs

INITPROC

## Functions

add_initproc
exit_current_and_run_next
suspend_current_and_run_next